Page MenuHomePhabricator

AWB no longer works on Wikia aka FANDOM
Closed, DuplicatePublic

Description

I have a long-standing bot user (DasyBot) on Wikia, which has been active on its original wiki (Coasterpedia) for 2½ years. The last successful edit I made with it was on July 16.

I now have this bot extended to three other wikis on which I am an admin, for immediate need in one case and in case of future need on the others. However, trying to log in via AWB now results in an error message saying that this is "not an authorised bot"(!?!?), despite the user's bot flag (and a CheckUser page on two of the four wikis) saying otherwise.

(edit) See this thread on Wikia Community Central for further details. By adding an "AWB/CheckPage" page to the two wikis which didn't have them, and a Bot template to all four user pages, I have managed to get AWB to run without disabling itself when I log in; but I still am not allowed to use it in bot mode, and without this there's no point in using it at all.

(Incidentally, why can't I assign a "Wikia" tag to this report?)
I suspect this is a bug introduced in a recent update. Perhaps the code is making the false assumption that all MediaWiki wikis are in the Wikimedia Group, and that any bot which is not authorised on Wikimedia must be blocked? Could another check be added, to ensure that the wiki to which login is being attempted is actually a Wikimedia wiki, before imposing Wikimedia security policies?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 26 2017, 9:53 AM

Thanks for reporting this.
As per https://en.wikipedia.org/wiki/Wikipedia_talk:AutoWikiBrowser/Bugs , please provide exact MediaWiki version information and exact AWB version information.

Samtar added a subscriber: Samtar.Aug 26 2017, 10:27 AM

DasyBot is present on the checkpage: http://rollercoaster.wikia.com/wiki/Roller_Coaster_Wiki%3AAutoWikiBrowser/CheckPage
Can you confirm that the error did not appear with your personal account, Evilquoll, that is whitelisted on the check page too ?

Korax1214 updated the task description. (Show Details)Aug 26 2017, 10:45 AM
Reedy renamed this task from CRITICAL: AWB no longer works on WIkia aka FANDOM to AWB no longer works on WIkia aka FANDOM.Aug 26 2017, 6:08 PM
Reedy added a subscriber: Reedy.Aug 26 2017, 6:14 PM

The bot flag onwiki is kinda irrelevant for automated editing. It's only used to know whether the user should have things like being able to do higher api count requests etc

And no. It doesn't make any assumption/dependency on wikimedia wikis as to determining the "bot status"

A quick look over the change list for AWB suggests we haven't touched "auth" code in a while

(Incidentally, why can't I assign a "Wikia" tag to this report?)

Because a wikia tag doesn't exist in our phabricator. We don't track/tag wikia bugs specifically

What versions of AWB were you on when it last worked?

but I still am not allowed to use it in bot mode, and without this there's no point in using it at all.

I'd wager even clicking save manually is still quicker than doing the whole thing manually in your browser

Reedy added a comment.Aug 26 2017, 6:16 PM

Do also note that Wikia are using what is effectively a fork of MediaWiki, that is very much unsupported "upstream" as it's 1.19 which dates from 2012

They make a lot of independent modifications

Anooprao closed this task as Resolved.EditedAug 27 2017, 9:22 AM
Anooprao claimed this task.
Anooprao added a subscriber: Anooprao.

i am currently using AWB very well on http://india.wikia.com/wiki/India_Wiki with my BOT user account http://india.wikia.com/wiki/Special:Contributions/ABot(Minato826)

:please look at https://en.wikipedia.org/wiki/Wikipedia:AutoWikiBrowser/User_manual#Bots if you have trouble
attached screenshot

Anooprao reopened this task as Open.Aug 27 2017, 9:23 AM
Zoranzoki21 added a comment.EditedAug 27 2017, 10:11 AM

I have not right to use it on wikia.. It does not work for me on commons too, because I do not have the right to use it.

Maybe will help re-enabling.

You must update AWB/check page with your username to be enable use of AWB

You must update AWB/check page with your username to be enable use of AWB

I know it.

Reedy removed Anooprao as the assignee of this task.Aug 27 2017, 8:54 PM
Mainframe98 renamed this task from AWB no longer works on WIkia aka FANDOM to AWB no longer works on Wikia aka FANDOM.Sep 1 2018, 1:02 PM